import{s as Cn,o as _n,n as kn}from"../chunks/scheduler.7bc62968.js";import{S as Sn,i as Hn,g as a,s as l,u as w,A as Pn,h as s,f as t,c as i,j as f,v as b,y as r,k as u,o as c,a as o,w as x,d as $,t as L,x as M,m as Zt,n as Et}from"../chunks/index.294b8d9a.js";import{T as zt}from"../chunks/Tip.035c5638.js";import{I as be}from"../chunks/IconCopyLink.b33316bd.js";import{C as Tn}from"../chunks/CodeBlock.e72a19d3.js";function zn(z){let h;return{c(){h=Zt(`Your Space's URL will only be available and usable for connecting from your
local machine if the visibility of the space is set to 'Public'.`)},l(p){h=Et(p,`Your Space's URL will only be available and usable for connecting from your
local machine if the visibility of the space is set to 'Public'.`)},m(p,g){o(p,h,g)},d(p){p&&t(h)}}}function Zn(z){let h;return{c(){h=Zt(`If you are using the space just for testing and experimentation, you don't need
to make any changes to the configuration. Everything will work out of the box.`)},l(p){h=Et(p,`If you are using the space just for testing and experimentation, you don't need
to make any changes to the configuration. Everything will work out of the box.`)},m(p,g){o(p,h,g)},d(p){p&&t(h)}}}function En(z){let h,p,g=`<li>change your password on the <code>default</code> account that you get when you start. You
can do this from the Dashboard or via the CLI.</li> <li>create a new user account with a password and assign it the <code>admin</code> role. This
can also be done from the Dashboard (by ‘inviting’ a new user) or via the CLI.</li> <li>reconnect to the server using the new user account and password as described
above, and use this new user account as your working account.</li>`,C,d,y=`This is because the default user created by the
HuggingFace Spaces deployment process has no password assigned to it and as the
Space is publicly accessible (since the Space is public) <em>potentially anyone
could access your secrets without this extra step</em>. To change your password
navigate to the Settings page by clicking the button in the upper right hand
corner of the Dashboard and then click ‘Update Password’.`;return{c(){h=Zt(`If you wish to use a cloud secrets backend together with ZenML for secrets
management, **you must take the following minimal security precautions** on your ZenML Server on the
Dashboard:
`),p=a("ul"),p.innerHTML=g,C=l(),d=a("p"),d.innerHTML=y},l(m){h=Et(m,`If you wish to use a cloud secrets backend together with ZenML for secrets
management, **you must take the following minimal security precautions** on your ZenML Server on the
Dashboard:
`),p=s(m,"UL",{"data-svelte-h":!0}),r(p)!=="svelte-1a8gw2p"&&(p.innerHTML=g),C=i(m),d=s(m,"P",{"data-svelte-h":!0}),r(d)!=="svelte-oa1oej"&&(d.innerHTML=y)},m(m,v){o(m,h,v),o(m,p,v),o(m,C,v),o(m,d,v)},p:kn,d(m){m&&(t(h),t(p),t(C),t(d))}}}function An(z){let h,p,g,C,d,y,m,v,Ct,xe,At="ZenML on Spaces",Ue,Y,Nt='<a href="https://github.com/zenml-io/zenml" rel="nofollow">ZenML</a> is an extensible, open-source MLOps framework for creating portable, production-ready MLOps pipelines. It’s built for Data Scientists, ML Engineers, and MLOps Developers to collaborate as they develop to production.',Ie,O,Ut=`ZenML offers a simple and flexible syntax, is cloud- and tool-agnostic, and has
interfaces/abstractions catered toward ML workflows. With ZenML you’ll have all
your favorite tools in one place, so you can tailor a workflow that caters to
your specific needs.`,Re,q,It=`The ZenML Huggingface Space allows you to get up and running with a deployed version
of ZenML with just a few clicks. Within a few minutes, you’ll have this default
ZenML dashboard deployed and ready for you to connect to from your local
machine.`,De,V,Rt=`In the sections that follow, you’ll learn to deploy your own instance of ZenML and use
it to view and manage your machine learning pipelines right from the Hub. ZenML
on Huggingface Spaces is a <strong>self-contained application completely hosted on the
Hub using Docker</strong>. The diagram below illustrates the complete process.`,Fe,J,Dt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/zenml/hf_spaces_chart.png" alt="ZenML on HuggingFace Spaces -- default deployment"/>',je,W,Ft=`Visit <a href="https://docs.zenml.io/" rel="nofollow">the ZenML documentation</a> to learn more about its
features and how to get started with running your machine learning pipelines
through your Huggingface Spaces deployment. You can check out <a href="https://github.com/zenml-io/zenml/tree/main/examples" rel="nofollow">some small sample
examples</a> of ZenML pipelines to get started or take your pick of some more
complex production-grade projects at <a href="https://github.com/zenml-io/zenml-projects" rel="nofollow">the ZenML Projects
repository</a>. ZenML integrates with
many of your favorite tools out of the box, <a href="https://zenml.io/integrations/huggingface" rel="nofollow">including
Huggingface</a> of course! If there’s
something else you want to use, we’re built to be extensible and you can easily
make it work with whatever your custom tool or workflow is.`,Ye,_,Z,Se,B,_t,$e,jt="⚡️ Deploy ZenML on Spaces",Oe,Q,Yt="You can deploy ZenML on Spaces with just a few clicks:",qe,E,Ot='<img src="https://huggingface.co/datasets/huggingface/badges/resolve/main/deploy-to-spaces-lg.svg"/>',Ve,X,qt=`To set up your ZenML app, you need to specify three main components: the Owner
(either your personal account or an organization), a Space name, and the
Visibility (a bit lower down the page). Note that the space visibility needs to
be set to ‘Public’ if you wish to connect to the ZenML server from your local
machine.`,Je,G,Vt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/zenml/choose_space.png" alt="Choose the ZenML Docker template"/>',We,K,Jt=`You have the option here to select a higher tier machine to use for your server.
The advantage of selecting a paid CPU instance is that it is not subject to
auto-shutdown policies and thus will stay up as long as you leave it up. In
order to make use of a persistent CPU, you’ll likely want to create and set up a
MySQL database to connect to (see below).`,Be,ee,Wt=`To personalize your Space’s appearance, such as the title, emojis, and colors,
navigate to “Files and Versions” and modify the metadata in your README.md file.
Full information on Spaces configuration parameters can be found on the
HuggingFace <a href="https://huggingface.co/docs/hub/spaces-config-reference" rel="nofollow">documentation reference guide</a>.`,Qe,te,Bt=`After creating your Space, you’ll notice a ‘Building’ status along with logs
displayed on the screen. When this switches to ‘Running’, your Space is ready for use. If the
ZenML login UI isn’t visible, try refreshing the page.`,Xe,ne,Qt=`Use our default login to access the dashboard (username: ‘default’, password:
(leave it empty)).`,Ge,k,A,He,oe,kt,Le,Xt="Connecting to your ZenML Server from your Local Machine",Ke,ae,Gt=`Once you have your ZenML server up and running, you can connect to it from your
local machine. To do this, you’ll need to get your Space’s URL.`,et,N,tt,se,Kt=`In the upper-right hand corner of your space you’ll see a button with three dots
which, when you click on it, will offer you a menu option to “Embed this Space”.
(See <a href="https://huggingface.co/docs/hub/spaces-embed" rel="nofollow">the HuggingFace
documentation</a> for more details on
this feature.) Copy the “Direct URL” shown in the box that you can now see on
the screen. This should look something like this:
<code>https://&lt;YOUR_USERNAME&gt;-&lt;SPACE_NAME&gt;.hf.space</code>.`,nt,le,en=`You can now use this URL to connect to your ZenML server from your local machine
with the following CLI command (after installing ZenML, and using your custom
URL instead of the placeholder):`,ot,ie,at,re,tn=`You can also use the Direct URL in your browser to use the ZenML dashboard as a
fullscreen application (i.e. without the HuggingFace Spaces wrapper around it).`,st,S,U,Pe,ue,St,Me,nn="Extra Configuration Options",lt,ce,on=`By default the ZenML application will be configured to use a SQLite
non-persistent database. If you want to use a persistent database, you can
configure this by amending the <code>Dockerfile</code> in your Space’s root directory. For
full details on the various parameters you can change, see <a href="https://docs.zenml.io/getting-started/deploying-zenml/docker#zenml-server-configuration-options" rel="nofollow">our reference
documentation</a> on configuring
ZenML when deployed with Docker.`,it,I,rt,he,an=`You can also use an external secrets backend together with your HuggingFace
Spaces as described in <a href="https://docs.zenml.io/getting-started/deploying-zenml/docker#zenml-server-configuration-options" rel="nofollow">our
documentation</a>. You should be
sure to use HuggingFace’s inbuilt ‘Repository secrets’ functionality to
configure any secrets you need to use in your<code>Dockerfile</code> configuration. <a href="https://huggingface.co/docs/hub/spaces-sdks-docker#secret-management" rel="nofollow">See the
documentation</a>
for more details how to set this up.`,ut,R,ct,H,D,Te,pe,Ht,Ce,sn="Upgrading your ZenML Server on HF Spaces",ht,fe,ln=`The default space will use the latest version of ZenML automatically. If you
want to update your version, you can simply select the ‘Factory reboot’ option
within the ‘Settings’ tab of the space. Note that this will wipe any data
contained within the space and so if you are not using a MySQL persistent
database (as described above) you will lose any data contained within your ZenML
deployment on the space. You can also configure the space to use an earlier
version by updating the <code>Dockerfile</code>’s <code>FROM</code> import statement at the very top.`,pt,P,F,ze,de,Pt,_e,rn="Next Steps",ft,me,un=`As a next step, check out our <a href="https://docs.zenml.io/starter-guide/pipelines" rel="nofollow">Starter Guide to MLOps with
ZenML</a> which is a series of short
practical pages on how to get going quickly. Alternatively, check out <a href="https://github.com/zenml-io/zenml/tree/main/examples/quickstart" rel="nofollow">our
<code>quickstart</code>
example</a> which
is a full end-to-end example of many of the features of ZenML.`,dt,T,j,Ze,ge,Tt,ke,cn="🤗 Feedback and support",mt,ve,hn=`If you are having trouble with your ZenML server on HuggingFace Spaces, you can
view the logs by clicking on the “Open Logs” button at the top of the space.
This will give you more context of what’s happening with your server.`,gt,ye,pn=`If you have suggestions or need specific support for anything else which isn’t
working, please <a href="https://zenml.io/slack-invite/" rel="nofollow">join the ZenML Slack community</a>
and we’ll be happy to help you out!`,vt,Ee,yt;return v=new be({}),B=new be({}),oe=new be({}),N=new zt({props:{warning:!0,$$slots:{default:[zn]},$$scope:{ctx:z}}}),ie=new Tn({props:{code:"emVubWwlMjBjb25uZWN0JTIwLS11cmwlMjAnJTNDWU9VUl9IRl9TUEFDRVNfRElSRUNUX1VSTCUzRSclMjAtLXVzZXJuYW1lJTNEJ2RlZmF1bHQnJTIwLS1wYXNzd29yZCUzRCcn",highlighted:"zenml connect --url &#x27;&lt;YOUR_HF_SPACES_DIRECT_URL&gt;&#x27; --username=&#x27;default&#x27; --password=&#x27;&#x27;",wrap:!1}}),ue=new be({}),I=new zt({props:{$$slots:{default:[Zn]},$$scope:{ctx:z}}}),R=new zt({props:{warning:!0,$$slots:{default:[En]},$$scope:{ctx:z}}}),pe=new be({}),de=new be({}),ge=new be({}),{c(){h=a("meta"),p=l(),g=a("p"),C=l(),d=a("h1"),y=a("a"),m=a("span"),w(v.$$.fragment),Ct=l(),xe=a("span"),xe.textContent=At,Ue=l(),Y=a("p"),Y.innerHTML=Nt,Ie=l(),O=a("p"),O.textContent=Ut,Re=l(),q=a("p"),q.textContent=It,De=l(),V=a("p"),V.innerHTML=Rt,Fe=l(),J=a("p"),J.innerHTML=Dt,je=l(),W=a("p"),W.innerHTML=Ft,Ye=l(),_=a("h2"),Z=a("a"),Se=a("span"),w(B.$$.fragment),_t=l(),$e=a("span"),$e.textContent=jt,Oe=l(),Q=a("p"),Q.textContent=Yt,qe=l(),E=a("a"),E.innerHTML=Ot,Ve=l(),X=a("p"),X.textContent=qt,Je=l(),G=a("p"),G.innerHTML=Vt,We=l(),K=a("p"),K.textContent=Jt,Be=l(),ee=a("p"),ee.innerHTML=Wt,Qe=l(),te=a("p"),te.textContent=Bt,Xe=l(),ne=a("p"),ne.textContent=Qt,Ge=l(),k=a("h2"),A=a("a"),He=a("span"),w(oe.$$.fragment),kt=l(),Le=a("span"),Le.textContent=Xt,Ke=l(),ae=a("p"),ae.textContent=Gt,et=l(),w(N.$$.fragment),tt=l(),se=a("p"),se.innerHTML=Kt,nt=l(),le=a("p"),le.textContent=en,ot=l(),w(ie.$$.fragment),at=l(),re=a("p"),re.textContent=tn,st=l(),S=a("h2"),U=a("a"),Pe=a("span"),w(ue.$$.fragment),St=l(),Me=a("span"),Me.textContent=nn,lt=l(),ce=a("p"),ce.innerHTML=on,it=l(),w(I.$$.fragment),rt=l(),he=a("p"),he.innerHTML=an,ut=l(),w(R.$$.fragment),ct=l(),H=a("h2"),D=a("a"),Te=a("span"),w(pe.$$.fragment),Ht=l(),Ce=a("span"),Ce.textContent=sn,ht=l(),fe=a("p"),fe.innerHTML=ln,pt=l(),P=a("h2"),F=a("a"),ze=a("span"),w(de.$$.fragment),Pt=l(),_e=a("span"),_e.textContent=rn,ft=l(),me=a("p"),me.innerHTML=un,dt=l(),T=a("h2"),j=a("a"),Ze=a("span"),w(ge.$$.fragment),Tt=l(),ke=a("span"),ke.textContent=cn,mt=l(),ve=a("p"),ve.textContent=hn,gt=l(),ye=a("p"),ye.innerHTML=pn,vt=l(),Ee=a("p"),this.h()},l(e){const n=Pn("svelte-1phssyn",document.head);h=s(n,"META",{name:!0,content:!0}),n.forEach(t),p=i(e),g=s(e,"P",{}),f(g).forEach(t),C=i(e),d=s(e,"H1",{class:!0});var we=f(d);y=s(we,"A",{id:!0,class:!0,href:!0});var Ae=f(y);m=s(Ae,"SPAN",{});var Ne=f(m);b(v.$$.fragment,Ne),Ne.forEach(t),Ae.forEach(t),Ct=i(we),xe=s(we,"SPAN",{"data-svelte-h":!0}),r(xe)!=="svelte-1p99sif"&&(xe.textContent=At),we.forEach(t),Ue=i(e),Y=s(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-se4hh5"&&(Y.innerHTML=Nt),Ie=i(e),O=s(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-4e0nrh"&&(O.textContent=Ut),Re=i(e),q=s(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-6eb5e1"&&(q.textContent=It),De=i(e),V=s(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-v0nlhn"&&(V.innerHTML=Rt),Fe=i(e),J=s(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-cr30gl"&&(J.innerHTML=Dt),je=i(e),W=s(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-10w1dv6"&&(W.innerHTML=Ft),Ye=i(e),_=s(e,"H2",{class:!0});var wt=f(_);Z=s(wt,"A",{id:!0,class:!0,href:!0});var fn=f(Z);Se=s(fn,"SPAN",{});var dn=f(Se);b(B.$$.fragment,dn),dn.forEach(t),fn.forEach(t),_t=i(wt),$e=s(wt,"SPAN",{"data-svelte-h":!0}),r($e)!=="svelte-1438ysw"&&($e.textContent=jt),wt.forEach(t),Oe=i(e),Q=s(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1ppvb5a"&&(Q.textContent=Yt),qe=i(e),E=s(e,"A",{href:!0,"data-svelte-h":!0}),r(E)!=="svelte-h8yqkc"&&(E.innerHTML=Ot),Ve=i(e),X=s(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-mdxpkf"&&(X.textContent=qt),Je=i(e),G=s(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1a42vw4"&&(G.innerHTML=Vt),We=i(e),K=s(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-6fl4l6"&&(K.textContent=Jt),Be=i(e),ee=s(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1trbth0"&&(ee.innerHTML=Wt),Qe=i(e),te=s(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-b8aggg"&&(te.textContent=Bt),Xe=i(e),ne=s(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-1rt0qgz"&&(ne.textContent=Qt),Ge=i(e),k=s(e,"H2",{class:!0});var bt=f(k);A=s(bt,"A",{id:!0,class:!0,href:!0});var mn=f(A);He=s(mn,"SPAN",{});var gn=f(He);b(oe.$$.fragment,gn),gn.forEach(t),mn.forEach(t),kt=i(bt),Le=s(bt,"SPAN",{"data-svelte-h":!0}),r(Le)!=="svelte-14bsipr"&&(Le.textContent=Xt),bt.forEach(t),Ke=i(e),ae=s(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-og0b1s"&&(ae.textContent=Gt),et=i(e),b(N.$$.fragment,e),tt=i(e),se=s(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-kazqu0"&&(se.innerHTML=Kt),nt=i(e),le=s(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-5as3ss"&&(le.textContent=en),ot=i(e),b(ie.$$.fragment,e),at=i(e),re=s(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-pwyhtz"&&(re.textContent=tn),st=i(e),S=s(e,"H2",{class:!0});var xt=f(S);U=s(xt,"A",{id:!0,class:!0,href:!0});var vn=f(U);Pe=s(vn,"SPAN",{});var yn=f(Pe);b(ue.$$.fragment,yn),yn.forEach(t),vn.forEach(t),St=i(xt),Me=s(xt,"SPAN",{"data-svelte-h":!0}),r(Me)!=="svelte-ge1oax"&&(Me.textContent=nn),xt.forEach(t),lt=i(e),ce=s(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-1qvsz0l"&&(ce.innerHTML=on),it=i(e),b(I.$$.fragment,e),rt=i(e),he=s(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-cas8ql"&&(he.innerHTML=an),ut=i(e),b(R.$$.fragment,e),ct=i(e),H=s(e,"H2",{class:!0});var $t=f(H);D=s($t,"A",{id:!0,class:!0,href:!0});var wn=f(D);Te=s(wn,"SPAN",{});var bn=f(Te);b(pe.$$.fragment,bn),bn.forEach(t),wn.forEach(t),Ht=i($t),Ce=s($t,"SPAN",{"data-svelte-h":!0}),r(Ce)!=="svelte-cd92p8"&&(Ce.textContent=sn),$t.forEach(t),ht=i(e),fe=s(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-sliug8"&&(fe.innerHTML=ln),pt=i(e),P=s(e,"H2",{class:!0});var Lt=f(P);F=s(Lt,"A",{id:!0,class:!0,href:!0});var xn=f(F);ze=s(xn,"SPAN",{});var $n=f(ze);b(de.$$.fragment,$n),$n.forEach(t),xn.forEach(t),Pt=i(Lt),_e=s(Lt,"SPAN",{"data-svelte-h":!0}),r(_e)!=="svelte-14a4tir"&&(_e.textContent=rn),Lt.forEach(t),ft=i(e),me=s(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-nvx63g"&&(me.innerHTML=un),dt=i(e),T=s(e,"H2",{class:!0});var Mt=f(T);j=s(Mt,"A",{id:!0,class:!0,href:!0});var Ln=f(j);Ze=s(Ln,"SPAN",{});var Mn=f(Ze);b(ge.$$.fragment,Mn),Mn.forEach(t),Ln.forEach(t),Tt=i(Mt),ke=s(Mt,"SPAN",{"data-svelte-h":!0}),r(ke)!=="svelte-19waswz"&&(ke.textContent=cn),Mt.forEach(t),mt=i(e),ve=s(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-1t5cmt5"&&(ve.textContent=hn),gt=i(e),ye=s(e,"P",{"data-svelte-h":!0}),r(ye)!=="svelte-ysghuv"&&(ye.innerHTML=pn),vt=i(e),Ee=s(e,"P",{}),f(Ee).forEach(t),this.h()},h(){u(h,"name","hf:doc:metadata"),u(h,"content",JSON.stringify(Nn)),u(y,"id","zenml-on-spaces"),u(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(y,"href","#zenml-on-spaces"),u(d,"class","relative group"),u(Z,"id","deploy-zenml-on-spaces"),u(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Z,"href","#deploy-zenml-on-spaces"),u(_,"class","relative group"),u(E,"href","https://huggingface.co/new-space?template=zenml/zenml-template-space"),u(A,"id","connecting-to-your-zenml-server-from-your-local-machine"),u(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(A,"href","#connecting-to-your-zenml-server-from-your-local-machine"),u(k,"class","relative group"),u(U,"id","extra-configuration-options"),u(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(U,"href","#extra-configuration-options"),u(S,"class","relative group"),u(D,"id","upgrading-your-zenml-server-on-hf-spaces"),u(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(D,"href","#upgrading-your-zenml-server-on-hf-spaces"),u(H,"class","relative group"),u(F,"id","next-steps"),u(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(F,"href","#next-steps"),u(P,"class","relative group"),u(j,"id","feedback-and-support"),u(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(j,"href","#feedback-and-support"),u(T,"class","relative group")},m(e,n){c(document.head,h),o(e,p,n),o(e,g,n),o(e,C,n),o(e,d,n),c(d,y),c(y,m),x(v,m,null),c(d,Ct),c(d,xe),o(e,Ue,n),o(e,Y,n),o(e,Ie,n),o(e,O,n),o(e,Re,n),o(e,q,n),o(e,De,n),o(e,V,n),o(e,Fe,n),o(e,J,n),o(e,je,n),o(e,W,n),o(e,Ye,n),o(e,_,n),c(_,Z),c(Z,Se),x(B,Se,null),c(_,_t),c(_,$e),o(e,Oe,n),o(e,Q,n),o(e,qe,n),o(e,E,n),o(e,Ve,n),o(e,X,n),o(e,Je,n),o(e,G,n),o(e,We,n),o(e,K,n),o(e,Be,n),o(e,ee,n),o(e,Qe,n),o(e,te,n),o(e,Xe,n),o(e,ne,n),o(e,Ge,n),o(e,k,n),c(k,A),c(A,He),x(oe,He,null),c(k,kt),c(k,Le),o(e,Ke,n),o(e,ae,n),o(e,et,n),x(N,e,n),o(e,tt,n),o(e,se,n),o(e,nt,n),o(e,le,n),o(e,ot,n),x(ie,e,n),o(e,at,n),o(e,re,n),o(e,st,n),o(e,S,n),c(S,U),c(U,Pe),x(ue,Pe,null),c(S,St),c(S,Me),o(e,lt,n),o(e,ce,n),o(e,it,n),x(I,e,n),o(e,rt,n),o(e,he,n),o(e,ut,n),x(R,e,n),o(e,ct,n),o(e,H,n),c(H,D),c(D,Te),x(pe,Te,null),c(H,Ht),c(H,Ce),o(e,ht,n),o(e,fe,n),o(e,pt,n),o(e,P,n),c(P,F),c(F,ze),x(de,ze,null),c(P,Pt),c(P,_e),o(e,ft,n),o(e,me,n),o(e,dt,n),o(e,T,n),c(T,j),c(j,Ze),x(ge,Ze,null),c(T,Tt),c(T,ke),o(e,mt,n),o(e,ve,n),o(e,gt,n),o(e,ye,n),o(e,vt,n),o(e,Ee,n),yt=!0},p(e,[n]){const we={};n&2&&(we.$$scope={dirty:n,ctx:e}),N.$set(we);const Ae={};n&2&&(Ae.$$scope={dirty:n,ctx:e}),I.$set(Ae);const Ne={};n&2&&(Ne.$$scope={dirty:n,ctx:e}),R.$set(Ne)},i(e){yt||($(v.$$.fragment,e),$(B.$$.fragment,e),$(oe.$$.fragment,e),$(N.$$.fragment,e),$(ie.$$.fragment,e),$(ue.$$.fragment,e),$(I.$$.fragment,e),$(R.$$.fragment,e),$(pe.$$.fragment,e),$(de.$$.fragment,e),$(ge.$$.fragment,e),yt=!0)},o(e){L(v.$$.fragment,e),L(B.$$.fragment,e),L(oe.$$.fragment,e),L(N.$$.fragment,e),L(ie.$$.fragment,e),L(ue.$$.fragment,e),L(I.$$.fragment,e),L(R.$$.fragment,e),L(pe.$$.fragment,e),L(de.$$.fragment,e),L(ge.$$.fragment,e),yt=!1},d(e){e&&(t(p),t(g),t(C),t(d),t(Ue),t(Y),t(Ie),t(O),t(Re),t(q),t(De),t(V),t(Fe),t(J),t(je),t(W),t(Ye),t(_),t(Oe),t(Q),t(qe),t(E),t(Ve),t(X),t(Je),t(G),t(We),t(K),t(Be),t(ee),t(Qe),t(te),t(Xe),t(ne),t(Ge),t(k),t(Ke),t(ae),t(et),t(tt),t(se),t(nt),t(le),t(ot),t(at),t(re),t(st),t(S),t(lt),t(ce),t(it),t(rt),t(he),t(ut),t(ct),t(H),t(ht),t(fe),t(pt),t(P),t(ft),t(me),t(dt),t(T),t(mt),t(ve),t(gt),t(ye),t(vt),t(Ee)),t(h),M(v),M(B),M(oe),M(N,e),M(ie,e),M(ue),M(I,e),M(R,e),M(pe),M(de),M(ge)}}}const Nn={local:"zenml-on-spaces",sections:[{local:"deploy-zenml-on-spaces",title:"⚡️ Deploy ZenML on Spaces"},{local:"connecting-to-your-zenml-server-from-your-local-machine",title:"Connecting to your ZenML Server from your Local Machine"},{local:"extra-configuration-options",title:"Extra Configuration Options"},{local:"upgrading-your-zenml-server-on-hf-spaces",title:"Upgrading your ZenML Server on HF Spaces"},{local:"next-steps",title:"Next Steps"},{local:"feedback-and-support",title:"🤗 Feedback and support"}],title:"ZenML on Spaces"};function Un(z){return _n(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Yn extends Sn{constructor(h){super(),Hn(this,h,Un,An,Cn,{})}}export{Yn as component};
